std::queue::size(3)

NAME
std::queue::size - std::queue::size

Synopsis
   size_type size() const;
   Returns the number of elements in the container adaptor. Equivalent to return
   c.size().

Parameters
   (none)

Return value
   The number of elements in the container adaptor.

Complexity
   Constant.

Example
// Run this code
 #include <algorithm>
 #include <cassert>
 #include <queue>
 int main()
 {
     std::queue<int> queue;
     assert(queue.size() == 0);
     const int count = 8;
     for (int i = 0; i != count; ++i)
         queue.push(i);
     assert(queue.size() == count);
 }

See also
   empty checks whether the container adaptor is empty
           (public member function)
   size
   ssize returns the size of a container or array
   (C++17) (function template)
   (C++20)